Bug 508197 - ocaml-gettext 0.3.3 needs to be backported to Fedora 12
ocaml-gettext 0.3.3 needs to be backported to Fedora 12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ocaml-gettext (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-06-25 22:00 EDT by Jens Petersen
Modified: 2010-12-05 01:47 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:47:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-06-25 22:00:58 EDT
Description of problem:
virt-top segfaults immediately for me when run in ja locale.

Version-Release number of selected component (if applicable):
virt-top-1.0.3-4.fc11.x86_64

How reproducible:
every time

Steps to Reproduce:
LANG=ja_JP.UTF-8 virt-top
  
Actual results:
セグメンテーション違反です (Segmentation fault.)

Expected results:
to run like in other locales
Comment 1 Richard W.M. Jones 2009-06-26 16:08:47 EDT
Thanks for this report - I will try to look at
it next week.
Comment 2 Richard W.M. Jones 2009-07-03 10:55:22 EDT
Apologies - I didn't get a chance to study this
this week.  I'll try again next week.
Comment 3 Richard W.M. Jones 2009-10-05 06:41:30 EDT
Set the product to Virtualization Tools.  I'll have a look
at this for real later today.
Comment 4 Richard W.M. Jones 2009-10-05 09:26:30 EDT
Confirmed this is a bug in ocaml-gettext, discussing
with upstream.
Comment 5 Richard W.M. Jones 2009-10-05 10:09:37 EDT
OK we fixed this now.  The *.mo files were corrupt.  Try this
to demonstrate the problem:

  msgunfmt /usr/share/locale/ja/LC_MESSAGES/virt-top.mo

We've changed the tool upstream which we use to generate the
*.mo files, so this shouldn't happen in future.

Now however there is a second problem - curses messes up
strings containing Japanese characters.
Comment 6 Richard W.M. Jones 2009-10-05 10:11:14 EDT
Commit which fixes the first problem:

http://git.et.redhat.com/?p=virt-top.git;a=commitdiff;h=8b098ba7e7f700aa6d63cba47bf56e006cbaace9
Comment 7 Richard W.M. Jones 2009-10-05 10:39:22 EDT
OK we fixed the second problem too by linking against
ncursesw instead of ncurses.

http://cvs.fedoraproject.org/viewvc/devel/ocaml-curses/ocaml-curses.spec?r1=1.13&r2=1.14

I'm going to declare this bug "closed upstream", because
everything now works for me.  I will build a new virt-top
in Fedora later once I've fixed a few of the other bugs.
Comment 8 Fedora Update System 2009-10-06 12:09:27 EDT
ocaml-curses-1.0.3-6.fc12.1 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ocaml-curses-1.0.3-6.fc12.1
Comment 9 Fedora Update System 2009-10-07 13:06:13 EDT
virt-top-1.0.4-1.fc12.1 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/virt-top-1.0.4-1.fc12.1
Comment 10 Tim Niemueller 2009-12-29 09:50:51 EST
This still breaks if run with de_DE.UTF-8 locale. It works fine when run with "LANG=C virt-top". This is virt-top-1.0.4-1.fc12.1.x86_64 on F-12.
Comment 11 Richard W.M. Jones 2009-12-30 04:21:49 EST
Ugh so it does.  There must be another bug in the locale code.

Reopening ...
Comment 12 Richard W.M. Jones 2009-12-30 04:24:17 EST
Ugh x 2.  The message catalog for DE is broken.  The
format strings don't have matching %s, eg:

$ msgunfmt /usr/share/locale/de/LC_MESSAGES/virt-top.mo
[...]
msgid "%s: display should be %s"
msgstr "'%s' sollte numerisch sein."

msgid "%s: sort order should be: %s"
msgstr "Soll eine Palette verwendet werden?"

The gettext library is supposed to be catching this sort
of error, but obviously that bit doesn't work.
Comment 13 Richard W.M. Jones 2009-12-30 12:30:56 EST
The problem was simply that I'd built the package against
the old, broken ocaml-gettext library, and not the new fixed
version.

Please try upgrading to virt-top 1.0.4-3 (in Rawhide):
http://koji.fedoraproject.org/koji/buildinfo?buildID=148899

I also need to backport ocaml-gettext 0.3.3 to Fedora 12
and rebuild virt-top in F12 against that.  Not done yet - so
I'll leave this bug open.
Comment 14 Bug Zapper 2010-03-15 08:40:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Richard W.M. Jones 2010-06-08 09:25:51 EDT
This is actually a bug against Fedora 12.
Comment 16 Bug Zapper 2010-11-04 06:58:02 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2010-12-05 01:47:35 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.